Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » "{fs:action.requirements} not found" and other problems
icon5.gif  "{fs:action.requirements} not found" and other problems [message #558966] Wed, 15 September 2010 03:43
Michael Breu is currently offline Michael Breu
Messages: 19
Registered: April 2010
Location: Inzing, Austria
Junior Member
Hello,

I'm quite new to Buckminster. I came across Buckminster, because I plan to automate the testing and provisioning of our eclipse based RCP product.

However I got stuck on two fronts:

I have a feature project that resembles all product features.
When I try to invoke Buckminster -> Actions in this project Buckminster also proposes the action "site.p2". If I select this action I get the following errormessage ...

org.eclipse.core.runtime.CoreException: 
   C:\Program Files\eclipse\eclipse J2EE\configuration\org.eclipse.osgi\bundles\185\1\.cp\org\eclipse\buckminster\pde\antscripts\build.xml:153: 
    C:\Program Files\eclipse\eclipse J2EE\{fs:action.requirements} not found.


It seems to be a problem with the copy.group ant task defined in the "copy.features" action. However I was unable to find out, what the source of this problem is. There was already another post on this topic, but this is still unanswered.

My second problem is with the Buckminster plugin if hudson. I tried to set up a simple example to start development according to its documentation. However the initial org.demo.hello.xml.world example job failed with
No open workspace project found that corresponds to org.eclipse.equinox.preferences:osgi.bundle/[3.2.0,4.0.0)
org.eclipse.equinox.preferences:osgi.bundle/[3.2.0,4.0.0): Trying provider local(target)
org.eclipse.equinox.preferences:osgi.bundle/[3.2.0,4.0.0): Found match 3.2.301.R35x_v20091117
org.eclipse.equinox.preferences:osgi.bundle/[3.2.0,4.0.0): Found match org.eclipse.equinox.preferences:osgi.bundle$3.2.301.R35x_v20091117
org.eclipse.core.databinding:osgi.bundle/[1.2.0,2.0.0): Found match org.eclipse.core.databinding:osgi.bundle$1.2.0.M20090819-0800
org.demo.worlds: Found match org.demo.worlds
[ERROR   [0001] : CSpec se.tada/tada-sax has no  action, group, or local artifact named java.binary.archives
INFO:  TAG-ID 0001 = Query for org.demo.hello.xml.world:osgi.bundle

Again Google revealed another blog entry (at the very end of that page), however again with no solution.

Since I think this problem is more related to Buckminster, than to hudson, I ask here for support.

Thank you for you help

Michael
Previous Topic:Cannot open launch config (junit run)
Next Topic:Buckminster build stops on CVS access
Goto Forum:
  


Current Time: Fri Aug 22 11:47:07 EDT 2014

Powered by FUDForum. Page generated in 0.02157 seconds